List form element submission activity
curl --request GET \
--url https://app.azalt.co/api/v1/form-element-submission-activity/{formElementSubmissionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/form-element-submission-activity/{formElementSubmissionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/form-element-submission-activity/{formElementSubmissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"kind": "activity",
"id": "<string>",
"formElementSubmissionId": "<string>",
"formSubmissionId": "<string>",
"formElementId": "<string>",
"periodUnit": 123,
"type": "VALUE_CREATED",
"actorUserId": "<string>",
"dataImportId": "<string>",
"actorName": "<string>",
"actorEmail": "<string>",
"actorImage": "<string>",
"oldSelectedUnitId": "<string>",
"newSelectedUnitId": "<string>",
"oldStatus": "<string>",
"newStatus": "<string>",
"importFile": {
"id": "<string>",
"fileName": "<string>",
"extension": "<string>",
"signedUrl": "<string>"
},
"createdAt": "<string>",
"oldValue": null,
"newValue": null,
"metadata": null
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}FormElementSubmissionActivity
List form element submission activity
List value history and comments attached to a single form element submission.
GET
/
form-element-submission-activity
/
{formElementSubmissionId}
List form element submission activity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
- Option 1
- Option 2
Available options:
activity Available options:
VALUE_CREATED, VALUE_UPDATED, VALUE_DELETED, STATUS_APPROVED, STATUS_REJECTED, STATUS_REVERTED Show child attributes
Show child attributes

